Irrlicht Engine: irr::gui::IGUIWindow Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIWindow Class Reference

Default moveable window GUI element with border, caption and close icons. More...

`#include <IGUIWindow.h>`

Inheritance diagram for irr::gui::IGUIWindow:

List of all members.

## Public Member Functions
virtual core::rect< s32 > | getClientRect () const =0
| Returns the rectangle of the drawable area (without border and without titlebar).
virtual IGUIButton * | getCloseButton () const =0
| Returns pointer to the close button.
virtual bool | getDrawBackground () const =0
| Get if the window background will be drawn.
virtual bool | getDrawTitlebar () const =0
| Get if the window titlebar will be drawn.
virtual IGUIButton * | getMaximizeButton () const =0
| Returns pointer to the maximize button.
virtual IGUIButton * | getMinimizeButton () const =0
| Returns pointer to the minimize button.
| IGUIWindow (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual bool | isDraggable () const =0
| Returns true if the window can be dragged with the mouse, false if not.
virtual void | setDraggable (bool draggable)=0
| Sets whether the window can be dragged by the mouse.
virtual void | setDrawBackground (bool draw)=0
| Set if the window background will be drawn.
virtual void | setDrawTitlebar (bool draw)=0

## Detailed Description

Default moveable window GUI element with border, caption and close icons.

Definition at line 18 of file IGUIWindow.h.

## Constructor & Destructor Documentation

irr::gui::IGUIWindow::IGUIWindow | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 23 of file IGUIWindow.h.

## Member Function Documentation

virtual core::rect<s32> irr::gui::IGUIWindow::getClientRect | ( |  | ) | const`[pure virtual]`

Returns the rectangle of the drawable area (without border and without titlebar).

The coordinates are given relative to the top-left position of the gui element.
So to get absolute positions you have to add the resulting rectangle to getAbsolutePosition().UpperLeftCorner.
To get it relative to the parent element you have to add the resulting rectangle to getRelativePosition().UpperLeftCorner. Beware that adding a menu will not change the clientRect as menus are own gui elements, so in that case you might want to subtract the menu area additionally.

virtual IGUIButton* irr::gui::IGUIWindow::getCloseButton | ( |  | ) | const`[pure virtual]`

Returns pointer to the close button.

You can hide the button by calling setVisible(false) on the result.

virtual bool irr::gui::IGUIWindow::getDrawBackground | ( |  | ) | const`[pure virtual]`

Get if the window background will be drawn.

virtual bool irr::gui::IGUIWindow::getDrawTitlebar | ( |  | ) | const`[pure virtual]`

Get if the window titlebar will be drawn.

virtual IGUIButton* irr::gui::IGUIWindow::getMaximizeButton | ( |  | ) | const`[pure virtual]`

Returns pointer to the maximize button.

You can hide the button by calling setVisible(false) on the result.

virtual IGUIButton* irr::gui::IGUIWindow::getMinimizeButton | ( |  | ) | const`[pure virtual]`

Returns pointer to the minimize button.

You can hide the button by calling setVisible(false) on the result.

virtual bool irr::gui::IGUIWindow::isDraggable | ( |  | ) | const`[pure virtual]`

Returns true if the window can be dragged with the mouse, false if not.

virtual void irr::gui::IGUIWindow::setDraggable | ( | bool | draggable | ) | `[pure virtual]`

Sets whether the window can be dragged by the mouse.

virtual void irr::gui::IGUIWindow::setDrawBackground | ( | bool | draw | ) | `[pure virtual]`

Set if the window background will be drawn.

virtual void irr::gui::IGUIWindow::setDrawTitlebar | ( | bool | draw | ) | `[pure virtual]`

Set if the window titlebar will be drawn Note: If the background is not drawn, then the titlebar is automatically also not drawn

The documentation for this class was generated from the following file:

- IGUIWindow.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:05 2010 by Doxygen (1.6.2)